## ros-noetic-swri-yaml-util 2.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(swri_yaml_util)

find_package(catkin REQUIRED COMPONENTS
  roscpp
)

find_package(PkgConfig)
pkg_check_modules(YamlCpp yaml-cpp)
message(STATUS "YAML-CPP VERSION: " ${YamlCpp_VERSION})
message(STATUS "YAML-CPP LIBRARY: " ${YamlCpp_LIBRARIES})

catkin_destinations()
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION})
catkin_package(
  INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  LIBRARIES ${PROJECT_NAME} ${YamlCpp_LIBRARIES}
  CATKIN_DEPENDS roscpp
)

if( ${YamlCpp_VERSION} MATCHES "0.[23].*")
  set(YAMLCPP_OLD_API ON)
  message(STATUS "  Using old yaml-cpp API.")
else()
  set(YAMLCPP_OLD_API OFF)
  message(STATUS "  Using new yaml-cpp API.")
endif()

configure_file(version.h.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}/version.h)

include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  ${YamlCpp_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/yaml_util.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${YamlCpp_LIBRARIES}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(
  DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-noetic-swri-yaml-util (2.15.2-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-noetic-swri-yaml-util (2.14.2-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.14.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.14.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.7-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.6-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.5-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.4-1buster) buster; urgency=high

  * Clean up Boost usage (#584 <https://github.com/swri-robotics/marti_common/issues/584>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.3-1buster) buster; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.2-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.13.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.12.0-1buster) buster; urgency=high

  * Suppress auto_ptr warnings (#570 <https://github.com/swri-robotics/marti_common/issues/570>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-noetic-swri-yaml-util (2.11.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-noetic-swri-yaml-util (2.10.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-noetic-swri-yaml-util (2.9.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-noetic-swri-yaml-util (2.8.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-noetic-swri-yaml-util (2.7.3-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-noetic-swri-yaml-util (2.7.2-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-noetic-swri-yaml-util (2.7.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-noetic-swri-yaml-util (2.7.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-noetic-swri-yaml-util (2.6.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-noetic-swri-yaml-util (2.5.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-noetic-swri-yaml-util (2.4.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-noetic-swri-yaml-util (2.3.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-noetic-swri-yaml-util (2.2.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-noetic-swri-yaml-util (2.2.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-noetic-swri-yaml-util (2.1.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-noetic-swri-yaml-util (2.0.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-noetic-swri-yaml-util (1.2.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-noetic-swri-yaml-util (1.1.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-noetic-swri-yaml-util (1.0.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-noetic-swri-yaml-util (0.3.0-1buster) buster; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-noetic-swri-yaml-util (0.2.4-1buster) buster; urgency=high

  * Make swri_yaml_util build out-of-source.
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-noetic-swri-yaml-util (0.2.3-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-noetic-swri-yaml-util (0.2.2-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-noetic-swri-yaml-util (0.2.1-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-swri-yaml-util (0.2.0-1buster) buster; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-noetic-swri-yaml-util (0.1.5-1buster) buster; urgency=high

  * Add an explicit dependency on pkg-config
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-noetic-swri-yaml-util (0.1.4-1buster) buster; urgency=high

  * Add support to load YAML from string and dictionary.
  * Fix linking with yaml-cpp.


=== debian/control ===
Source: ros-noetic-swri-yaml-util
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, pkg-config, ros-noetic-catkin, ros-noetic-roscpp
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-noetic-swri-yaml-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-noetic-roscpp
Description: Provides wrappers around the yaml-cpp library for various utility functions and to abstract out the API changes made to yaml-cpp between ubuntu:precise and ubuntu:trusty.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-swri-yaml-util//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
